%define anolis_release 1
Name:          giflib
Summary:       A library and utilities for processing GIFs
Version:       5.2.1
Release: %{anolis_release}%{dist}

License:       MIT
URL:           http://www.sourceforge.net/projects/%{name}/
Source:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Downstream cmake support
Source1:       CMakeLists.txt

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: xmlto

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
giflib is a library for reading and writing gif images.


%package devel
Summary:       Development files for programs using the giflib library
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
The giflib-devel package includes header files, libraries necessary for
developing programs which use the giflib library.


%package utils
Summary:       Programs for manipulating GIF format image files
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description utils
The giflib-utils package contains various programs for manipulating GIF
format image files.

%package -n mingw32-%{name}
Summary:       MinGW Windows %{name} library
Obsoletes:     mingw32-%{name}-static
BuildArch:     noarch

%description -n mingw32-%{name}
%{summary}.


%package -n mingw32-%{name}-tools
Summary:       Tools for the MinGW Windows %{name} library
Requires:      mingw32-%{name} = %{version}-%{release}
BuildArch:     noarch

%description -n mingw32-%{name}-tools
%{summary}.


%package -n mingw64-%{name}
Summary:       MinGW Windows %{name} library
Obsoletes:     mingw64-%{name}-static
BuildArch:     noarch

%description -n mingw64-%{name}
%{summary}.


%package -n mingw64-%{name}-tools
Summary:       Tools for the MinGW Windows %{name} library
Requires:      mingw64-%{name} = %{version}-%{release}
BuildArch:     noarch

%description -n mingw64-%{name}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%autosetup -p1
cp -a %{SOURCE1} .


%build
# Native build
%cmake
%cmake_build

# MinGW build
%mingw_cmake
%mingw_make_build


%install
%cmake_install
%mingw_make_install
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}


%mingw_debug_install_post


%files
%doc ChangeLog NEWS README
%license COPYING
%{_libdir}/libgif.so.7*

%files devel
%doc doc/*
%{_libdir}/libgif.so
%{_includedir}/gif_lib.h

%files utils
%{_bindir}/gif*
%{_mandir}/man1/*.1*

%files -n mingw32-%{name}
%license COPYING
%{mingw32_bindir}/libgif-7.dll
%{mingw32_includedir}/gif_lib.h
%{mingw32_libdir}/libgif.dll.a

%files -n mingw32-%{name}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{name}
%license COPYING
%{mingw64_bindir}/libgif-7.dll
%{mingw64_includedir}/gif_lib.h
%{mingw64_libdir}/libgif.dll.a

%files -n mingw64-%{name}-tools
%{mingw64_bindir}/*.exe


%changelog 
* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> 5.2.1-1
- Init package from upstream v5.2.1
